CREATE TABLE IF NOT EXISTS GG_AWARD_HISTORY
(
    PK_AWARD_HISTORY DECIMAL(38,0),
    PK_BUDGET DECIMAL(38,0),
    GLBCERT_ID VARCHAR2(50),
    ORIG_FX VARCHAR2(6),
    DEST_FX VARCHAR2(6),
    ORIG_AMOUNT NUMBER(12,2),
    DEST_AMOUNT NUMBER(12,2),
    FROM_FIRSTNAME VARCHAR2(50),
    FROM_LASTNAME VARCHAR2(50),
    FROM_ADDRESS1 VARCHAR2(100),
    FROM_ADDRESS2 VARCHAR2(100),
    FROM_CITY VARCHAR2(50),
    FROM_STATEPROV VARCHAR2(100),
    FROM_POSTALCODE VARCHAR2(30),
    FROM_COUNTRY DECIMAL(38,0),
    FROM_EMAIL VARCHAR2(100),
    FROM_PHONE VARCHAR2(50),
    TO_FIRSTNAME VARCHAR2(50),
    TO_LASTNAME VARCHAR2(50),
    TO_ADDRESS1 VARCHAR2(100),
    TO_ADDRESS2 VARCHAR2(100),
    TO_CITY VARCHAR2(50),
    TO_STATEPROV VARCHAR2(100),
    TO_POSTALCODE VARCHAR2(30),
    TO_COUNTRY DECIMAL(38,0),
    TO_EMAIL VARCHAR2(100),
    TO_PHONE VARCHAR2(50),
    SHIP_FIRSTNAME VARCHAR2(50),
    SHIP_LASTNAME VARCHAR2(50),
    SHIP_ADDRESS1 VARCHAR2(100),
    SHIP_ADDRESS2 VARCHAR2(100),
    SHIP_CITY VARCHAR2(50),
    SHIP_STATEPROV VARCHAR2(100),
    SHIP_POSTALCODE VARCHAR2(30),
    SHIP_COUNTRY DECIMAL(38,0),
    SHIP_EMAIL VARCHAR2(100),
    SHIP_PHONE VARCHAR2(50),
    REASON VARCHAR2(100),
    CREATED DATE,
    PK_AWARDEE NUMBER,
    PK_AWARDER NUMBER,
    PK_SHIPPER NUMBER,
    AWARDED_DATE DATE,
    APPROVED_DATE DATE,
    USER_DEF_1 VARCHAR2(1000),
    USER_DEF_2 VARCHAR2(1000),
    USER_DEF_3 VARCHAR2(1000),
    PK_APPROVER NUMBER,
    COST_CENTRE VARCHAR2(100),
    MANAGER VARCHAR2(50),
    CLIENT_STORECODE VARCHAR2(15),
    GLBCERT_DESIGN VARCHAR2(50),
    TITLE VARCHAR2(400 ),
    AWARD_PRIVATE NUMBER(1, 0) DEFAULT 0,
    MESSAGE_PRIVATE NUMBER(1,0) DEFAULT 0,
    BRAVO_DATE DATE,
    PUBLIC_DATE DATE,
    RECOMMENDED_AWARD NUMBER( 12 ) DEFAULT 0,
    INVOICING_ENTITY_ID VARCHAR2(50) NULL,
    PRIMARY KEY (PK_AWARD_HISTORY),
    HIGHLIGHT_PUBLIC_DATE DATE,
    LINK_ID NUMBER NULL,
    REDEMPTION_OPTIONS NUMBER(1,0) NULL,
    PROGRAM_ID NUMBER(12),
    RECOGNITION_MOMENT_ID VARCHAR2(36)
);